#div-1 {
    background-color: seagreen;
    display: inline;
    /* block elements will not chmnahe of display value is block */
}

/* we cannot */

#span-1 {
    background-color: purple;
    display: inline-block;
    width: 200px;
    height: 200px;
}

#span-2 {
    background-color: pink;
    /* display: block; */
}

#div-2 {
    background-color: cyan;
    display: none;
}

#img {
    /* inline-block display can change its height and width */
    display: inline-block;
    width: 250px;
    height: 250px;
}

#p-1 {
    background-color: #87CEFA;
}

#p-2 {
    background-color: rgb(255, 105, 180);
    width: 60%;
}

#p-3 {
    background-color: yellow;
    width: 40%;
}

.sample {
    display: inline-block;
    width: 30%;
    border: 1px solid black;
    text-align: center;
}

.img-float {
    width: 250px;
    height: 250px;
    float: right;
}

.box {
    background-color: red;
    border: 1px solid black;
    margin: 5px;
}

.fifty-percent {
    width: 50%;
}

.one-hundred-pixels {
    width: 100px;
}

.one-rem {
    font-size: 1rem;
}

.one-em {
    font-size: 1em;
}

.two-em {
    font-size: 2em;
}

.two-rem {
    font-size: 2rem;
}

.two-hundred-percent {
    font-size: 200%;
}


.parent {
    width: 135px;
    border: 2px solid navy;
    font-size: 30px;

}

.fifty-vw {
    /* Viewport Width (vw) - 1vh = 1% */
    width: 50vw;
}

.twenty-five-vh {
    /* Viewport Width (vh) - 1vh = 1% */
    height: 25vh;
}

/* CSS background Properties */

.background {
    min-height: 20rem;
    /* background-color: gray; */

    /* Add value for color properties wwe can use word for the colors,
     hexadecimal #ffffff, rgb(250, 250, 250
    
    */
    background-image: url("https://c4.wallpaperflare.com/wallpaper/43/1003/707/anime-your-name-kimi-no-na-wa-mitsuha-miyamizu-wallpaper-preview.jpg");

    /* repeat, no-repeat, repeat-x, repeat-y, space, round */
    background-repeat: no-repeat;
    /*  background-size value can be auto", "cover", "contain". the size can also have a number value (500px, 60%)*/
    background-size: 100%;
    background-position: center top;
    background-attachment: scroll;

}

.bg-title {
    color: white;
    text-align: center;
    font-size: 5em;
    margin: 0;
    line-height: 35rem;
}

.container-bg {
    background-color: rgba(0, 0, 0, 0.5);
    min-height: 100vh;
}

.parent-element {
    background-color: skyblue;
    padding: 50px 10px;
    position: relative;
    height: 800px;
}

.child-one {
    background-color: gray;
    padding: 10px;
}

.child-two {
    background-color: yellow;
    padding: 10px;

    /* if we use static there will be no effect to element with left and bottom position properties.
    we can only use the left and bottom properties with relative position */
    position: sticky;
    /* left: 10px;
    bottom: 10px; */
    top: 10px;
}

.child-three {
    background-color: gray;
    padding: 10px;
}

html {
    height: 800vh;
}


/* Z-index */

.container {
    position: relative;
}

.black-box {
    position: relative;
    z-index: 1;
    border: 2px solid black;
    height: 100px;
    margin: 30px;
}

.gray-box {
    position: absolute;
    z-index: 3;
    /*gray box will be above green and black box */
    background: lightgray;
    height: 60px;
    width: 120px;
    left: 200px;
    top: 50px;
}

.green-box {
    position: absolute;
    z-index: 2;
    /*green box will be above black box */
    background: lightgreen;
    width: 35%;
    left: 270px;
    top: -15px;
    height: 100px;
}